package org.dromara.system.service;

import org.dromara.system.domain.CourseTableTime;
import org.dromara.system.domain.vo.CourseTableTimeVo;
import org.dromara.system.domain.bo.CourseTableTimeBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 课程-时间Service接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface ICourseTableTimeService {

    /**
     * 查询课程-时间
     */
    CourseTableTimeVo queryById(Long id);

    /**
     * 查询课程-时间列表
     */
    TableDataInfo<CourseTableTimeVo> queryPageList(CourseTableTimeBo bo, PageQuery pageQuery);

    /**
     * 查询课程-时间列表
     */
    List<CourseTableTimeVo> queryList(CourseTableTimeBo bo);

    /**
     * 新增课程-时间
     */
    Boolean insertByBo(CourseTableTimeBo bo);

    /**
     * 修改课程-时间
     */
    Boolean updateByBo(CourseTableTimeBo bo);

    /**
     * 校验并批量删除课程-时间信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
